Tue, 18 Feb 2020 01:50:23 UTC

Information for RPM perl-Socket-4:2.027-449.module_f31+7931+b513465b.ppc64le.rpm

ID20555261
Nameperl-Socket
Version2.027
Release449.module_f31+7931+b513465b
Epoch4
Archppc64le
SummaryC socket.h defines and structure manipulators
DescriptionThis module is just a translation of the C socket.h file. Unlike the old mechanism of requiring a translated socket.ph file, this uses the h2xs program (see the Perl source distribution) and your native C compiler. This means that it has a far more likely chance of getting the numbers right. This includes all of the commonly used pound-defines like AF_INET, SOCK_STREAM, etc.
Build Time2020-02-14 09:59:27 GMT
Size56,122
9de1befabaf292c37f7ca661c4ecc5dd
LicenseGPL+ or Artistic
Buildrootmodule-perl-bootstrap-5.30-3120200214084245-f636be4b-build-19398779-1362099
Provides
perl(Socket) = 2.027
perl-Socket = 4:2.027-449.module_f31+7931+b513465b
perl-Socket(ppc-64) = 4:2.027-449.module_f31+7931+b513465b
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
libc.so.6()(64bit)
libc.so.6(GLIBC_2.17)(64bit)
libperl.so.5.30()(64bit)
libpthread.so.0()(64bit)
perl(:MODULE_COMPAT_5.30.1)
perl(Carp)
perl(Exporter)
perl(XSLoader)
perl(strict)
perl(warnings::register)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsZstd) <= 5.4.18-1
rtld(GNU_HASH)
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 6 of 6
Name ascending sort Size
/usr/lib/.build-id0
/usr/lib/.build-id/5d/34031daa17d216177a35d8d2d45d981c4718ca49
/usr/lib64/perl5/Socket.pm37,062
/usr/lib64/perl5/auto/Socket0
/usr/lib64/perl5/auto/Socket/Socket.so68,904
/usr/share/man/man3/Socket.3pm.gz9,742
Component of
1 through 6 of 6
Buildroot descending sort Created State
module-perl-bootstrap-5.30-3120200214084245-f636be4b-build-19399249-1362131 2020-02-14 10:36:54 expired
module-perl-bootstrap-5.30-3120200214084245-f636be4b-build-19399231-1362131 2020-02-14 10:36:04 expired
module-perl-bootstrap-5.30-3120200214084245-f636be4b-build-19399227-1362131 2020-02-14 10:36:01 expired
module-perl-bootstrap-5.30-3120200214084245-f636be4b-build-19399223-1362131 2020-02-14 10:35:56 expired
module-perl-bootstrap-5.30-3120200214084245-f636be4b-build-19399207-1362131 2020-02-14 10:35:34 expired
module-perl-bootstrap-5.30-3120200214084245-f636be4b-build-19399204-1362131 2020-02-14 10:35:29 expired